package com.sams ;

import java.util.* ;

import javax.servlet.*;
import javax.servlet.http.*;

public class LocaleFilter implements Filter {
  
  private ServletContext ctx ;
  private final static String msg = "Lokalizacja USA jest w tym momencie zablokowana" ;
  
  public void init(FilterConfig config) throws ServletException {
    ctx = config.getServletContext() ;
    ctx.log("Inicjalizacja filtra lokalizacji") ;
  }
  
  public void destroy() {
    ctx.log("Wyłączanie filtra lokalizacji") ;
  }
  
  public void doFilter(ServletRequest request,
  ServletResponse response,
  FilterChain chain) throws ServletException, java.io.IOException {
    
    HttpServletRequest req = (HttpServletRequest)request ;

    if(req.getLocale().equals(Locale.US)){
      HttpServletResponse res = (HttpServletResponse)response ;
      res.sendError(res.SC_SERVICE_UNAVAILABLE, msg) ;
    }
  }
}
